import Header from "./Header";
import "../../../app/globals.css";
import { useState } from "react";
export default {
  title: "Components/Layout/Header",
  component: Header,
  tags: ["autodocs"],
  argTypes: {
    theme: {
      control: { type: "select" },
      options: ["light-theme", "dark-theme"],
    },
  },
};
export const Default = {
  args: {
    theme: "light-theme", // ✅ default value
  },
  render: (args: any) => {
    return (
      <div className="w-[100vw] h-[100vh] bg-[#ffe788]">
        <Header {...args} />
      </div>
    );
  },
};
// export const Default = () => {
//   const [theme, setTheme] = useState("light-theme");
//   const themeUpdate = (value: string) => {
//     setTheme(value);
//   };
//   return <Header theme={theme} updateTheme={themeUpdate} />;
// };
