import BlogDetail from "./BlogDetail";

export default {
  title: "Components/TopLevel/BlogDetail",
  component: BlogDetail,
};

export const Default = {
  args: {
    title:
      "Lorem ipsum dolor sit amet, consectetur adipiscing elit. Maecenas eget venenatis leo. Donec mattis tortor in nisl lacinia, ",
    postedOn: "July 11, 2020",
    postedBy: "Charlotte Maria",
    readTime: "1",
    tag: "fashion",
    img: "https://picsum.photos/1000/300",
    content:
      '\n# My Developer Journey\n\nWelcome to my **developer blog**. I use this space to document what I learn, build, and break. 😅\n\n## 🔧 Skills I’m Learning\n\n- HTML, CSS & JavaScript lorem Lorem ipsum dolor sit amet, consectetur adipiscing elit. Maecenas eget venenatis leo. Donec mattis tortor in nisl lacinia, \n- React & Next.js Lorem ipsum dolor sit amet, consectetur adipiscing elit. Maecenas eget venenatis leo. Donec mattis tortor in nisl lacinia, \n- Node.js + Express Lorem ipsum dolor sit amet, consectetur adipiscing elit. Maecenas eget venenatis leo. Donec mattis tortor in nisl lacinia, \n- MongoDB Lorem ipsum dolor sit amet, consectetur adipiscing elit. Maecenas eget venenatis leo. Donec mattis tortor in nisl lacinia, \n- TypeScript Lorem ipsum dolor sit amet, consectetur adipiscing elit. Maecenas eget venenatis leo. Donec mattis tortor in nisl lacinia, \n\n## 📚 Favorite Resources\n\n1. [MDN Web Docs](https://developer.mozilla.org)\n2. [FreeCodeCamp](https://freecodecamp.org)\n3. [Frontend Mentor](https://frontendmentor.io)\n\n# Welcome to My Blog\n\nThis is a simple **Markdown** example to demonstrate basic formatting. You can _italicize_ text or make it **bold**.\n\n## Things I Like:\n\n- 🧠 Learning new tech\n- 📝 Writing blogs\n- 🔗 [Check my website](https://example.com)\n\nHere’s a sample code snippet:\n\n```js\nconsole.log("Hello world!");\n```\n',
  },

  render: (args: any) => {
    return (
      <div className="bg-[var(--secondary-bg-color)] py-4">
        <BlogDetail {...args} />
      </div>
    );
  },
};
