export default {
  tags: ["autodocs"],
  title: "Components/Base/Typography",
};

export const Default = {
  render: () => {
    return (
      <div className="w-[100vw] h-[100vh] text[var(--primary-text-color)] bg-[#ffe788]">
        <h1 className="p-2 text-4xl font-bold">Heading 1</h1>
        <h2 className="p-2 text-3xl font-bold">Heading 2</h2>
        <h3 className="p-2 text-2xl font-bold">Heading 3</h3>
        <h4 className="p-2 text-xl font-bold">Heading 4</h4>
        <h5 className="p-2 text-lg font-bold">Heading 5</h5>
        <h6 className="p-2 text-md font-bold">Heading 6</h6>
        <p className="p-2 text-md ">
          Lorem ipsum dolor sit amet, consectetur adipiscing elit. Maecenas nec
          nulla dignissim, malesuada diam vel, vulputate quam. Nunc nulla dui,
          eleifend vel massa ac, imperdiet tincidunt arcu.Lorem ipsum dolor sit
          amet, consectetur adipiscing elit. Maecenas nec nulla dignissim,
          malesuada diam vel, vulputate quam. Nunc nulla dui, eleifend vel massa
          ac, imperdiet tincidunt arcu.Lorem ipsum dolor sit amet, consectetur
          adipiscing elit. Maecenas nec nulla dignissim, malesuada diam vel,
          vulputate quam. Nunc nulla dui, eleifend vel massa ac, imperdiet
          tincidunt arcu.
        </p>
      </div>
    );
  },
};
