import Card from "./Card";

export default {
  title: "Components/TopLevel/CardList/Card",
  tags: ["autodocs"],
  component: Card,
  argTypes: {},
};

export const Default = {
  args: {
    title:
      "Lorem ipsum dolor adipiscing amet Lorem ipsum dolor adipiscing amet  ",
    description: "Lorem ipsum dolor adipiscing amet, consectetur sit .",
    authorName: "Abdul Rahman",
    postedDate: "July 10, 2025",
    readTime: "2",
    imgUrl: "https://picsum.photos/350/300",
  },

  render: (args: any) => {
    return (
      <div className="bg-[var(--story-bg)] h-[100vh] flex justify-center items-center">
        <Card {...args} />
      </div>
    );
  },
};
